/*
 *
 * @author: Lenidas O. Brando
 * @see   : Applet
 * Teste para pegar arquivo local por um applet
 * Applet: pega valores de "codebase" e nome do arquivo ("str_arquivo") e passa para "this.inicializa"
 *
 */

public class PegaArquivo {

  String endereco;

  public PegaArquivo () {
    new Applet();
    }

  public static String inicializa (java.net.URL codebase, String str_arquivo) {
    int i = 0, j;
    java.io.BufferedReader in;
    String texto = new String(); // para devolver o texto do arq. "str_arquivo"

    System.out.println("L arquivo: " + str_arquivo); //
    System.out.println("De        : " + codebase   ); // 

    try {
        if (codebase ==  null) {
           // aplicativo
           java.io.FileInputStream fin = new java.io.FileInputStream(str_arquivo);
           in = new java.io.BufferedReader(new java.io.InputStreamReader(fin));
           }
        else {
           // applet
           java.net.URL source = new java.net.URL(codebase, str_arquivo);
           in =  new java.io.BufferedReader(new java.io.InputStreamReader(source.openStream()));
           }
        String arq = "";
        String descricao = "";
        int conta_linha=0;
        while (null != (arq = in.readLine())) {
           descricao = in.readLine();
           System.out.println(conta_linha++ + ": " + descricao); // arq
           texto += descricao+"\n"; // precisa mudar de linha
           }
        in.close();
        }
    catch(Exception e) {
        System.out.println("Houve erro na leitura do arq. "+str_arquivo+": "+e); //
        return " -- erro: "+e+" --";
       }

    return texto;
    }

}

